using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XYY.Core.Standard.ExcelHelper.MSExcelHelper;
using XYY.Model.Standard.Finance;

namespace XYY.Service.Standard.Finance.MappingModel
{

    public class FinanceReportMapping : MSExcelClassMapping<View_FinanceBill_WithBranchCompany>
    {
        public FinanceReportMapping()
        {
            Map(x => x.订单号).Name("订单号");
            Map(x => x.跟踪号).Name("订单跟踪号");
            Map(x => x.订单状态).Name("订单状态");
            Map(x => x.提单号).Name("提单号");
            Map(x => x.渠道名称).Name("下单渠道名称");
            Map(x => x.实际派送渠道).Name("派送渠道名称");
            Map(x => x.实际重量).Name("订单重量");
            Map(x => x.称重重量).Name("扣费重量");
            Map(x => x.称重时间).Name("称重时间");
            Map(x => x.所属客户).Name("客户名称");
            Map(x => x.总公司费用).Name("客户费用");
            Map(x => x.分公司名称).Name("分公司名称");
            Map(x => x.分公司费用).Name("分公司结算费用");
            Map(x => x.营运成本).Name("营运中心成本");
            Map(x => x.一级中转).Name("一级中转");
            Map(x => x.二级中转).Name("二级中转");
            Map(x => x.出口报关).Name("出口报关");
            Map(x => x.空运成本).Name("空运成本");
            Map(x => x.起飞时间).Name("空运成本生效时间");
            Map(x => x.海外清关).Name("海外清关");
            Map(x => x.关税).Name("关税成本");
            Map(x => x.海外中转).Name("海外中转");
            Map(x => x.落地时间).Name("海外中转生效时间");
            Map(x => x.末端派送).Name("派送成本");
            Map(x => x.尾程报价生效时间).Name("派送成本生效时间");
            Map(x => x.补贴).Name("补贴");
            Map(x => x.关税汇率).Name("关税汇率");
            Map(x => x.海外清关汇率).Name("海外清关汇率");
            Map(x => x.末端派送汇率).Name("末端派送汇率");
            Map(x => x.总成本).Name("总成本");
            Map(x => x.分公司利润).Name("分公司利润");
            Map(x => x.总公司利润).Name("总公司利润");
        }
    }

    public class FinanceSimpleReportMapping : MSExcelClassMapping<View_FinanceBill_WithBranchCompany>
    {
        public FinanceSimpleReportMapping()
        {
            Map(x => x.系统单号).Name("系统单号");
            Map(x => x.跟踪号).Name("订单跟踪号");
            Map(x => x.称重重量).Name("称重重量");
            Map(x => x.称重时间).Name("称重时间");
            Map(x => x.渠道名称).Name("下单渠道名称");
            Map(x => x.实际派送渠道).Name("派送渠道名称");
            Map(x => x.所属客户).Name("客户名称");
            Map(x => x.总公司费用).Name("客户费用");
            Map(x => x.分公司名称).Name("分公司名称");
            Map(x => x.分公司费用).Name("分公司结算费用");
            Map(x => x.总成本).Name("总成本");
            Map(x => x.分公司利润).Name("分公司利润");
            Map(x => x.总公司利润).Name("总公司利润");
            Map(x => x.销售人员).Name("销售人员");
        }
    }
}
